"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readJsonOrDir = exports.mapPromiseValues = void 0;
const fs_extra_1 = require("fs-extra");
const path_1 = __importDefault(require("path"));
const mapPromiseValues = (promiseValues) => {
    return Promise.all(Object.values(promiseValues)).then((values) => {
        return Object.keys(promiseValues).reduce((result, key, index) => {
            result[key] = values[index];
            return result;
        }, {});
    });
};
exports.mapPromiseValues = mapPromiseValues;
const readJsonOrDir = (filePath, fileName) => __awaiter(void 0, void 0, void 0, function* () {
    const json = {};
    const fileInfo = yield (0, fs_extra_1.lstat)(filePath);
    if (fileInfo.isDirectory()) {
        const subPaths = yield (0, fs_extra_1.readdir)(filePath);
        const promises = subPaths.map((file) => __awaiter(void 0, void 0, void 0, function* () {
            const subPath = path_1.default.join(filePath, file);
            const data = yield (0, exports.readJsonOrDir)(subPath, file.replace(".json", ""));
            json[file.replace(".json", "")] = data;
        }));
        yield Promise.all(promises);
    }
    else {
        return yield (0, fs_extra_1.readJSON)(filePath);
    }
    return json;
});
exports.readJsonOrDir = readJsonOrDir;
//# sourceMappingURL=utils.js.map